<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Dec 07 20:27:02 CET 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<title>Movie</title>
<meta name="date" content="2017-12-07">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Movie";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/tpepsi/data/entity/Movie.html" target="_top">Frames</a></li>
<li><a href="Movie.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.tpepsi.data.entity</div>
<h2 title="Class Movie" class="title">Class Movie</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">org.tpepsi.data.entity.Item</a></li>
<li>
<ul class="inheritance">
<li>org.tpepsi.data.entity.Movie</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Movie</span>
extends <a href="../../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></pre>
<div class="block">Classe représentant un objet Movie</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>1.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>James Chollet</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/tpepsi/data/entity/Movie.html#Movie--">Movie</a></span>()</code>
<div class="block">Constructeur par défaut</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../org/tpepsi/data/entity/Movie.html#Movie-long-java.lang.String-java.lang.String-int-">Movie</a></span>(long&nbsp;id,
     java.lang.String&nbsp;title,
     java.lang.String&nbsp;director,
     int&nbsp;releaseYear)</code>
<div class="block">Constructeur du film</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/tpepsi/data/entity/Movie.html#getDirector--">getDirector</a></span>()</code>
<div class="block">Getter du réalisateur</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/tpepsi/data/entity/Movie.html#getReleaseYear--">getReleaseYear</a></span>()</code>
<div class="block">Getter de l'année de sortie</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/tpepsi/data/entity/Movie.html#search-java.lang.String-">search</a></span>(java.lang.String&nbsp;term)</code>
<div class="block">Implémentation de la méthode de recherche propre aux films</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/tpepsi/data/entity/Movie.html#setDirector-java.lang.String-">setDirector</a></span>(java.lang.String&nbsp;director)</code>
<div class="block">Setter du réalisateur</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/tpepsi/data/entity/Movie.html#setReleaseYear-int-">setReleaseYear</a></span>(int&nbsp;releaseYear)</code>
<div class="block">Setter de l'année de sortie</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.tpepsi.data.entity.Item">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.tpepsi.data.entity.<a href="../../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></h3>
<code><a href="../../../../org/tpepsi/data/entity/Item.html#getBorrowedBy--">getBorrowedBy</a>, <a href="../../../../org/tpepsi/data/entity/Item.html#getId--">getId</a>, <a href="../../../../org/tpepsi/data/entity/Item.html#getTitle--">getTitle</a>, <a href="../../../../org/tpepsi/data/entity/Item.html#isOut--">isOut</a>, <a href="../../../../org/tpepsi/data/entity/Item.html#setBorrowedBy-java.lang.String-">setBorrowedBy</a>, <a href="../../../../org/tpepsi/data/entity/Item.html#setId-long-">setId</a>, <a href="../../../../org/tpepsi/data/entity/Item.html#setTitle-java.lang.String-">setTitle</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Movie--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Movie</h4>
<pre>public&nbsp;Movie()</pre>
<div class="block">Constructeur par défaut</div>
</li>
</ul>
<a name="Movie-long-java.lang.String-java.lang.String-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Movie</h4>
<pre>public&nbsp;Movie(long&nbsp;id,
             java.lang.String&nbsp;title,
             java.lang.String&nbsp;director,
             int&nbsp;releaseYear)</pre>
<div class="block">Constructeur du film</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>id</code> - </dd>
<dd><code>title</code> - </dd>
<dd><code>director</code> - </dd>
<dd><code>releaseYear</code> - </dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity"><code>Item</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getDirector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDirector</h4>
<pre>public&nbsp;java.lang.String&nbsp;getDirector()</pre>
<div class="block">Getter du réalisateur</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>String</dd>
</dl>
</li>
</ul>
<a name="setDirector-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDirector</h4>
<pre>public&nbsp;void&nbsp;setDirector(java.lang.String&nbsp;director)</pre>
<div class="block">Setter du réalisateur</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>director</code> - </dd>
</dl>
</li>
</ul>
<a name="getReleaseYear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReleaseYear</h4>
<pre>public&nbsp;int&nbsp;getReleaseYear()</pre>
<div class="block">Getter de l'année de sortie</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>int</dd>
</dl>
</li>
</ul>
<a name="setReleaseYear-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setReleaseYear</h4>
<pre>public&nbsp;void&nbsp;setReleaseYear(int&nbsp;releaseYear)</pre>
<div class="block">Setter de l'année de sortie</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>releaseYear</code> - </dd>
</dl>
</li>
</ul>
<a name="search-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>search</h4>
<pre>public&nbsp;boolean&nbsp;search(java.lang.String&nbsp;term)</pre>
<div class="block">Implémentation de la méthode de recherche propre aux films</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../org/tpepsi/data/entity/Item.html#search-java.lang.String-">search</a></code>&nbsp;in class&nbsp;<code><a href="../../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity">Item</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>term</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>boolean</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/tpepsi/data/entity/Item.html" title="class in org.tpepsi.data.entity"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/tpepsi/data/entity/TvShow.html" title="class in org.tpepsi.data.entity"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/tpepsi/data/entity/Movie.html" target="_top">Frames</a></li>
<li><a href="Movie.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
